#!/bin/bash
# vim:noet:ts=4
# --------------------------------------------------------------------
# Copyright (C) 2007  Georgia Public Library Service
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# --------------------------------------------------------------------


./stopofbiz.sh > /dev/null 2>&1


cat <<COMMENT

Is your DB setup?

 - edit framework/entity/config/entityengine.xml and set your DB settings.
 - create user + schema
  - % CREATE USER acq WITH ENCRYPTED PASSWORD 'acqpass' ; CREATE SCHEMA AUTHORIZATION acq;

Type Enter to continue...
COMMENT
read x;


# remove the opentaps subversion directories
echo "removing subversion files..."
find . -name .svn -exec rm -rf '{}' 2> /dev/null \;

# cleaning ...
ant clean

# do the library -> library dance
FIND='find . -type f -print0 -regex .*.xml -or -regex .*.java -or -regex .*.fo -or -regex .*.ftl -or -regex .*.bsh -or -regex .*.txt -or -regex .*.properties'

echo "Changing from company to library...  This might take a while.";
$FIND | grep -v woodchip-build.sh | xargs -0 perl -pi -e 's/Company/Library/g;'
$FIND | grep -v woodchip-build.sh | xargs -0 perl -pi -e 's/Companies/Libraries/g;'
$FIND | grep -v woodchip-build.sh | xargs -0 perl -pi -e 's/company/library/g;'
$FIND | grep -v woodchip-build.sh | xargs -0 perl -pi -e 's/companies/libraries/g;'
$FIND | grep -v woodchip-build.sh | xargs -0 perl -pi -e 's/COMPANY/LIBRARY/g;'
$FIND | grep -v woodchip-build.sh | xargs -0 perl -pi -e 's/COMPANIES/LIBRARIES/g;'


# some one-off search/replace
perl -pi -e 's/Search Catalog/Search Desiderata/og;' applications/ecommerce/config/EcommerceUiLabels.properties
perl -pi -e 's/Search Catalog/Search Desiderata/og;' applications/product/config/ProductUiLabels.properties
perl -pi -e 's/Catalog/Desiderata/og;' framework/common/config/CommonUiLabels.properties

# remove the funambol dir because it won't compile, 
# presamably becuase of our company -> library changes
rm -rf hot-deploy/funambol/


# grab woodchip
mkdir .tmp
cd .tmp
svn co svn://svn.open-ils.org/Woodchip/trunk trunk
cd trunk
cp -r * ../../
cp -r .svn ../../
cd ../../
rm -rf .tmp
ln -s /openils/lib/java applications/woodchip/lib

ant build
ant run-install-seed
./startofbiz.sh

